Issue 7357

Summary: Paste into nonadjacent random cells
Product: Calc Reporter: johngross <johng>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: damjan, drichard, frank.loehmann, hroush, issues, jonathan.n.mills, kamataki, kozodaevroman, kpalagin, matui, merschmann, palagin1, rsalmon, searls, srt2006, stefan.weigel
Version: OOo 1.0.1Keywords: usability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 15522    

Description johngross 2002-08-30 16:18:29 UTC
Can only paste clipboard into multiple cells if selected adjacent to each other
and selected in same row or column. Should be able to randomly select
nonadjacent cells either individually or in groups and paste clipboard contents
into them.

Same applies to setting cell properties.

This capability is available in Quattro Pro and Excel and frequently used by
many of us. :-)
Comment 1 frank 2002-09-02 09:33:33 UTC
Hi Falko,

1 4 u

Frank
Comment 2 eric.savary 2003-04-16 15:38:10 UTC
Set to "NEW"
Comment 3 falko.tesch 2003-10-06 13:17:56 UTC
Copying multiple selections is _not_ supported in Excel. And in
Quattro Pro I do not see any sensible way to actually use this
selection when copied to clipboard (which is the reason why Excel and
Oo.o do not support it I guess)
Comment 4 falko.tesch 2003-10-06 13:18:35 UTC
closed
Comment 5 johngross 2003-10-06 21:04:27 UTC
Falko,

This issue IS NOT about copying but rather PASTING as described in the
issue summary and my initial problem description! I agree w/your
assessment of COPYING which you've correctly stated is not supported
in either Excel or Quattro Pro. However, pasting into multiple
non-adjacent cells IS supported and is frequently used by the business
community. Perhaps I should have been more clear and stated that a
single cell is first copied onto the clipboard, then that info is
pasted into the multiple selected cells.

This happens for example when various cells throughout a spreadsheet
contain the same text  (eg, a person's name)and a fraction of them
must be changed to a different common value. A search and replace
would change all of them. It is frequently much faster to select the
appropriate subset and paste the change into those cells only. It is
accomplished by holding depressing the CTRL key while LEFT clicking
w/mouse on the cells into which you want to paste. Afte hilighting the
cells right clicking on any one of them opens a context menu which
offers the paste operation.

I hope this clarifies the nature of this issue and will persuade you
to reopen it. I'm available for further clarification if necessary.

Regards,
John Gross
:-)
Comment 6 falko.tesch 2003-10-08 12:05:47 UTC
Got it ;o)

When making a mulitple selection of cells in Calc it must be possible
to paste a value from the clipboard into all of the selected
(non-adjacent) cell.
MS Excel and Quattro Pro can do so.
Comment 7 falko.tesch 2003-10-08 12:06:02 UTC
started
Comment 8 bettina.haberer 2003-12-05 18:01:15 UTC
Hello Niklas, please give approval for this evaluated OO.o 2.0 flagged
issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 9 hansel 2004-01-07 18:37:42 UTC
I also wish OO had this feature of being able to paste into randomly selected cells.
Comment 10 niklas.nebel 2004-01-26 11:38:28 UTC
This is not on the list of features that we're going to do for 2.0. We need to
focus on the enhancements from the PCD document.
Comment 11 frank 2005-07-08 11:24:46 UTC
*** Issue 51203 has been marked as a duplicate of this issue. ***
Comment 12 frank 2005-07-22 11:24:08 UTC
*** Issue 52314 has been marked as a duplicate of this issue. ***
Comment 13 frank 2006-03-03 08:37:03 UTC
*** Issue 58756 has been marked as a duplicate of this issue. ***
Comment 14 kpalagin 2007-01-05 16:08:41 UTC
*** Issue 8096 has been marked as a duplicate of this issue. ***
Comment 15 hansel 2007-08-01 17:37:46 UTC
issues 47754 and 78857 seem like duplicates of this issue
Comment 16 hansel 2007-08-01 17:38:11 UTC
issues 47754 and 78857 seem like duplicates of this issue
Comment 17 kpalagin 2007-08-01 20:51:26 UTC
*** Issue 78857 has been marked as a duplicate of this issue. ***
Comment 18 bettina.haberer 2007-09-26 15:56:58 UTC
Hi Niklas, these RFEs are in your ownership.
Comment 19 frankb_1602 2008-05-07 22:51:33 UTC
I think this issue also blocks issue 15522 (Tracking bug for Microsoft Office
parity features). In Excel, filling multiple cells with identical data (values
or formulas) by selecting cells, inserting data and hitting Ctrl+Return is an
essential feature, and I miss it in OOo Calc.  
Comment 20 yapt 2008-12-03 13:56:04 UTC
Quattro Pro YES let us copy+paste from (& to) multiple independent selections
cells/groups.

Greetings.
Comment 21 Stefan Weigel 2008-12-12 19:49:59 UTC
*** Issue 97018 has been marked as a duplicate of this issue. ***
Comment 22 frank.loehmann 2009-01-27 10:58:57 UTC
Set target and cc myself.
Comment 23 fperezpercea 2009-07-23 08:38:31 UTC
Are there any clue when we could copy+paste from/to multiple selections in
OpenOffice Calc ?   Or, important too, when we could set properties (borders for
example) on multiple selections ?

Greetings and congratulations for your work. It is excellent.
Comment 24 melk600 2009-12-05 18:54:45 UTC
I see this has a target of 3.x set.  Is it still in the works.  Just wanted to
make sure that it is still planned as it doesn't work yet in 3.1.1.
Comment 25 niklas.nebel 2009-12-07 11:17:07 UTC
Cell formats (borders) work in 3.2 beta, see issue 50019. Pasting into a
multiple selection is still open.
Comment 26 Mark Searls 2014-07-24 16:56:07 UTC
Please upgrade the importance of this enhancement.  This is a serious inconvenience in usability.  I do this *ALL* the time and simple things like this make it difficult for us in IBM to convince others that it is possible to migrate off Excel to AOO Calc.
Comment 27 Marcus 2017-05-20 11:01:03 UTC
Reset assigne to the default "issues@openoffice.apache.org".